Get customer state
curl --request GET \
--url https://api-sandbox.beinfi.com/customers/{customerID}/state \
--header 'Authorization: Bearer <token>'import requests
url = "https://api-sandbox.beinfi.com/customers/{customerID}/state"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api-sandbox.beinfi.com/customers/{customerID}/state', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"customer": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"customerId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"productId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"externalId": "<string>",
"name": "<string>",
"email": "<string>",
"taxId": "<string>",
"pspRef": "<string>",
"metadata": {},
"creditAlertSent": true,
"createdAt": "2023-11-07T05:31:56Z"
},
"balances": [
{
"meter": "<string>",
"balance": "<string>",
"total": "<string>"
}
],
"subscriptions": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"customerId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"productVersionId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "trialing",
"billingCycle": "weekly",
"collectionMethod": "charge_automatically",
"billingMode": "arrears",
"anchor": "2023-11-07T05:31:56Z",
"nextBillingDate": "2023-11-07T05:31:56Z",
"startedAt": "2023-11-07T05:31:56Z",
"canceledAt": "2023-11-07T05:31:56Z",
"items": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"kind": "recurring_fee",
"timing": "advance",
"productVersionId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"createdAt": "2023-11-07T05:31:56Z",
"canceledAt": "2023-11-07T05:31:56Z"
}
]
}
],
"usage": {
"customerId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"from": "2023-11-07T05:31:56Z",
"to": "2023-11-07T05:31:56Z",
"meters": [
{
"meterId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"meter": "<string>",
"unit": "<string>",
"totalValue": "<string>",
"eventCount": 123,
"totalAmount": "<string>",
"currency": "<string>"
}
]
}
}{
"message": "<string>",
"error_code": "internal_error",
"tracer_id": "<string>"
}{
"message": "<string>",
"error_code": "internal_error",
"tracer_id": "<string>",
"resource": "<string>"
}Customers
Get customer state
In one read: the enrollment, the balance of each meter, live subscriptions (with their items) and current-period usage. Use it to render the customer’s panel or to decide, before serving a request, whether they still have balance.
customerID here is the enrollment ID, not the customer ID.
GET
/
customers
/
{customerID}
/
state
Get customer state
Authorizations
Your account's secret key: Authorization: Bearer sk_test_… or sk_live_…. Server-side only.
Path Parameters
ID of the customer's enrollment in the product (not the customer ID).
Response
Customer state.
The customer's state in one read: the enrollment, each meter's balance, live subscriptions and current-period usage.